program helloworld;

uses IrrlichtWrapper;

begin

  IrrStart(IRR_EDT_DIRECT3D9, 640, 480, IRR_BITS_PER_PIXEL_32, IRR_WINDOWED, IRR_NO_SHADOWS, IRR_IGNORE_EVENTS, IRR_VERTICAL_SYNC_ON);

  // Set the title of the display
  IrrSetWindowCaption('Example 01: Hello World - The GUI');

  // add a static text object to the graphical user interface, at the moment
  // this is the only interface object we support. The text will be drawn inside
  // the defined rectangle, the box will not have a border and the text will not
  // be wrapped around if it runs off the end
  IrrAddStaticText('Hello World', 4,0,200,16, IRR_GUI_NO_BORDER, IRR_GUI_NO_WRAP);

  // while the scene is still running
  while IrrRunning = 1 do
  begin
    // begin the scene, erasing the canvas to white before rendering
    IrrBeginScene(255, 255, 255);

    // draw the Graphical User Interface
    IrrDrawGUI;

    // end drawing the scene and render it
    IrrEndScene;
  end;

  // -----------------------------------------------------------------------------
  // Stop the irrlicht engine and release resources
  IrrStop;

end.